GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
TPG::TPGVertexInstrumentation Class Reference

Instrumentation code for TPGVertex class for instrumented execution. More...

`#include <tpgVertexInstrumentation.h>`

Inheritance diagram for TPG::TPGVertexInstrumentation:

## Public Member Functions
uint64_t | getNbVisits () const
| Get the number of time a TPGVertexInstrumentation was visited.
void | incrementNbVisits () const
| Add one to the number of visits for this TPGVertexInstrumented.
void | reset () const
| Reset the instrumentation attributes.

## Protected Member Functions
| TPGVertexInstrumentation ()
| Protected default constructor to forbid instanciation.

## Protected Attributes
std::atomic_uint64_t | nbVisits

## Detailed Description

Instrumentation code for TPGVertex class for instrumented execution.

## Constructor & Destructor Documentation

## ◆ TPGVertexInstrumentation()

TPG::TPGVertexInstrumentation::TPGVertexInstrumentation | ( |  | ) |
| inline protected

Protected default constructor to forbid instanciation.

This constructor initializes the instrumentation attributes.

## Member Function Documentation

## ◆ getNbVisits()

uint64_t TPG::TPGVertexInstrumentation::getNbVisits | ( |  | ) | const

Get the number of time a TPGVertexInstrumentation was visited.

Copyright or © or Copr. IETR/INSA - Rennes (2022) :

Karol Desnos kdesn.nosp@m.os@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2022)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

## Member Data Documentation

## ◆ nbVisits

std::atomic_uint64_t TPG::TPGVertexInstrumentation::nbVisits
| mutable protected

Number of a time a TPGVertex has been visited Attribute is mutable because all TPGVertex are seen as const outside from their TPGGraph.

The documentation for this class was generated from the following files:

- D:/a/gegelati/gegelati/gegelatilib/include/tpg/instrumented/tpgVertexInstrumentation.h
- D:/a/gegelati/gegelati/gegelatilib/src/tpg/instrumented/tpgVertexInstrumentation.cpp